kafka-jira mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Schierbeck (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KAFKA-5617) Update to the list of third-party clients
Date Mon, 07 Aug 2017 09:00:15 GMT

    [ https://issues.apache.org/jira/browse/KAFKA-5617?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16116296#comment-16116296
] 

Daniel Schierbeck commented on KAFKA-5617:
------------------------------------------

👍

On Fri, Aug 4, 2017 at 6:54 PM Jason Gustafson (JIRA) <jira@apache.org>



> Update to the list of third-party clients
> -----------------------------------------
>
>                 Key: KAFKA-5617
>                 URL: https://issues.apache.org/jira/browse/KAFKA-5617
>             Project: Kafka
>          Issue Type: Wish
>            Reporter: Daniel Schierbeck
>
> I'd like to have the list of Ruby client libraries updated to reflect the current state
of affairs.
> * ruby-kafka is no longer compatible with Kafka 0.8, but is compatible with 0.9+. It
should probably be moved to the top, since it's the only actively maintained low-level library
– all other libraries are either unmaintained or are opinionated frameworks built on top
of ruby-kafka.
> * I'd like to add Racecar (https://github.com/zendesk/racecar), a simple opinionated
framework built on top of ruby-kafka. It's an extraction from a production Zendesk code base,
and so is already pretty battle tested.
> I'm the author of both ruby-kafka and Racecar.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message